within FluidDissipation.Examples.Applications.PressureLoss.BaseClasses.HeatExchanger;
partial package BaseHeatExchangerPL
  "Base package for all pressure loss functions of a heat exchanger"
  extends FluidDissipation.Utilities.Icons.BaseLibrary;

  replaceable partial function pressureLoss_mflow
    extends Modelica.Icons.Function;

    //pressure loss as output
    output SI.Pressure DP;

  end pressureLoss_mflow;

  partial model BaseHeatExchangerModel
    "Base flow model for heat exchanger functions in Modelica.Fluid"

    extends BaseClasses.BaseFlowModel(final from_dp=false, final
        allowFlowReversal=true);

    //icon
    extends FluidDissipation.Utilities.Icons.PressureLoss.HeatExchanger_i;

  equation
    dp = dp_tot;
  end BaseHeatExchangerModel;
end BaseHeatExchangerPL;
